import { Injectable } from "@angular/core";
import { Observable } from "rxjs";
import { App } from "ionic-angular";
import { GoogleAuthPage } from '../pages/google-auth/google-auth.page';
import { GooglePlus } from "@ionic-native/google-plus";
var GoogleService = (function () {
    function GoogleService(app, googlePlus) {
        this.app = app;
        this.googlePlus = googlePlus;
    }
    ;
    GoogleService.prototype.loanMainPage = function (api, observer) {
        var nav = this.app.getActiveNav();
        nav.push(GoogleAuthPage, { api: api, observer: observer });
    };
    GoogleService.prototype.logout = function () {
        var _this = this;
        return new Observable(function (observer) {
            _this.googlePlus.logout().then(function (res) {
                observer.next(res);
                observer.complete();
            }).catch(function (err) {
                observer.error(err);
            });
        });
    };
    GoogleService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    GoogleService.ctorParameters = function () { return [
        { type: App, },
        { type: GooglePlus, },
    ]; };
    return GoogleService;
}());
export { GoogleService };
//# sourceMappingURL=google.service.js.map